Bug 245151 - Review Request: crystal-project - KDE Icon set
Review Request: crystal-project - KDE Icon set
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Maxime CARRON
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 08:21 EDT by Chitlesh GOORAH
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 16:53:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
maxime: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2007-06-21 08:21:29 EDT
Spec URL: http://tux.u-strasbg.fr/~chit/RPMS/crystal-project.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/RPMS/crystal-project-20070620-1.src.rpm
Description: 
Crystal Project is a KDE Icon set.
Comment 1 Maxime Carron 2007-06-24 20:05:10 EDT
chmod 644 should be apply to files

find %{buildroot}%{_themedir} -type f | xargs chmod 644
is a way to do it, but this can't build.
(pipe aren't permit in specfile?)

So i tried chmod 644 $(find . -type f) which failed because " /bin/chmod:
Argument list too long"

%{__chmod} 644 $(find ./128x128 -type f)
... (on every subdirectory)

But some files got space in their name.
For example : /128x128/apps/List manager.png

So i don't know how to fix this.
Comment 2 Maxime Carron 2007-06-25 05:42:08 EDT
Ok, i found it (thanks to kanarip)

Add at teh end of install section :
#set 644 permissions on icons
find %{buildroot}%{_themedir} -type f -exec chmod 644 {} \;
Comment 4 Maxime CARRON 2007-06-26 17:30:40 EDT
Review : 

MUST : name : OK
MUST : macros (%{name}, %{version}) : OK
MUST : licence : (LGPL) OK (chitlesh told me he asked the upstream to include
the text in the source)
MUST : source match the upstream source (MD5 sum match)
MUST : dependencies : OK
MUST : owns directory : OK
MUST : %defattr : OK
MUST : rm -rf %{buildroot} in %install and %clean section: OK


MUST : RpmLint is NOT quiet : 
W: crystal-project dangling-relative-symlink
/usr/share/icons/crystal_project/16x16/apps/kmenu.png
../../../Bluecurve/16x16/apps/gnome-main-menu.png
W: crystal-project dangling-relative-symlink
/usr/share/icons/crystal_project/22x22/apps/kmenu.png
../../../Bluecurve/24x24/apps/gnome-main-menu.png
W: crystal-project dangling-relative-symlink
/usr/share/icons/crystal_project/32x32/apps/kmenu.png
../../../Bluecurve/32x32/apps/gnome-main-menu.png
W: crystal-project dangling-relative-symlink
/usr/share/icons/crystal_project/48x48/apps/kmenu.png
../../../Bluecurve/48x48/apps/gnome-main-menu.png
=>That's OK since fedora-logos is a dependency.

This is OK for me : approved
Comment 5 Maxime CARRON 2007-06-26 17:46:09 EDT
Just one more thing :
- you should report to the upstream that file permissions (as all files are
icons) should be set to 644.
- and if possible to avoid space in names (perhaps this is due to KDE, but i
don't think so)
Comment 6 Chitlesh GOORAH 2007-06-26 18:29:44 EDT
New Package CVS Request
=======================
Package Name: crystal-project
Short Description: KDE Icon set
Owners: cgoorah@yahoo.com.au
Branches: FC-6 F-7 Devel
Comment 7 Chitlesh GOORAH 2007-06-26 18:32:16 EDT
(In reply to comment #5)
> Just one more thing :
> - you should report to the upstream that file permissions (as all files are
> icons) should be set to 644.
> - and if possible to avoid space in names (perhaps this is due to KDE, but i
> don't think so)

Upstream works for Linspire. He is already aware of KDE related issues.
Comment 8 Kevin Fenzi 2007-06-27 15:36:16 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.